Package org.zkoss.zul.event

## Class RenderEvent<T extends Component>

- java.lang.Object
- - org.zkoss.zk.ui.event.Event
  - - org.zkoss.zul.event.RenderEvent<T>

- All Implemented Interfaces:
    `java.io.Serializable`

      public class RenderEvent<T extends Component>
      extends Event

  Represents the onRender event.
  Since:
    5.0.0
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RenderEvent​(java.lang.String name, java.util.Set<T> items)` |
    `RenderEvent​(java.lang.String name, Component comp, java.util.Set<T> items)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<T>` | `getItems()` | Returns the (readonly) collection of items to render (never null).
    `static <C extends Component> RenderEvent<C>` | `getRenderEvent​(AuRequest request)` | Converts an AU request to a render event.

    - ### Methods inherited from class org.zkoss.zk.ui.event.Event

      `getData, getEvent, getName, getPage, getTarget, isPropagatable, stopPropagation, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderEvent

          public RenderEvent​(java.lang.String name,
                             Component comp,
                             java.util.Set<T> items)

      Since:
        5.0.0

    - #### RenderEvent

          public RenderEvent​(java.lang.String name,
                             java.util.Set<T> items)

  - ### Method Detail

    - #### getRenderEvent

          public static final <C extends Component> RenderEvent<C> getRenderEvent​(AuRequest request)

      Converts an AU request to a render event.
      Since:
        5.0.0

    - #### getItems

          public java.util.Set<T> getItems()

      Returns the (readonly) collection of items to render (never null).